Skip to content
Get started

Get phone number history across the organization

GET/calls/phone-history

Returns a map of phone numbers to the number of calls and associated campaigns across the entire organization. Useful for detecting contacts that have already been reached.

ReturnsExpand Collapse
phone_history: map[object { campaigns, count, do_not_contact, 4 more } ]
campaigns: array of object { id, name }
id: string
name: string
count: number
do_not_contact: boolean
hot: boolean
last_called_at: string
last_outcome: "not_interested" or "interested" or "completed" or "requested_callback_later"
One of the following:
"not_interested"
"interested"
"completed"
"requested_callback_later"
reached_human: boolean

Get phone number history across the organization

curl https://www.getrevox.com/api/calls/phone-history \
    -H "Authorization: Bearer $REVOX_API_KEY"
{
  "phone_history": {
    "foo": {
      "campaigns": [
        {
          "id": "id",
          "name": "name"
        }
      ],
      "count": 0,
      "do_not_contact": true,
      "hot": true,
      "last_called_at": "last_called_at",
      "last_outcome": "not_interested",
      "reached_human": true
    }
  }
}
Returns Examples
{
  "phone_history": {
    "foo": {
      "campaigns": [
        {
          "id": "id",
          "name": "name"
        }
      ],
      "count": 0,
      "do_not_contact": true,
      "hot": true,
      "last_called_at": "last_called_at",
      "last_outcome": "not_interested",
      "reached_human": true
    }
  }
}